# $Revision: 1.34 $, $Date: 2011/12/27 06:53:48 $
Summary:	The Waf build system
Summary(pl.UTF-8):	System budowania Waf
Name:		waf
Version:	1.6.10
Release:	1
# note: waf book is on CC-BY-NC-ND (not included in binary package)
License:	BSD
Group:		Development/Building
#Source0Download: http://code.google.com/p/waf/downloads/list
Source0:	http://waf.googlecode.com/files/%{name}-%{version}.tar.bz2
# Source0-md5:	f4ba258eb94f30cfa67eb1ac09265c58
Patch0:		%{name}-path.patch
URL:		http://code.google.com/p/waf/
BuildRequires:	python >= 1:2.6
BuildRequires:	python-modules >= 1:2.6
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.234
Requires:	python(abi) = %{py_ver}
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Waf is a general-purpose build system which was modelled from Scons.
Though it comes last in the arena of the build systems, we believe
that Waf is a vastly superior alternative to its competitors
(Autotools, Scons, Cmake, Ant, etc) for building software,

%description -l pl.UTF-8
Waf to system budowania ogólnego przeznaczenia opracowany na podstawie
Scons. Mimo że pojawił się jako ostatni na arenie systemów budowania,
autorzy wierzą, że przewyższa alternatywne narzędzia (Autotools,
Scons, Cmake, Ant itp.).

%prep
%setup -q
%patch0 -p1

%build
# check waf-light
extras=
for f in waflib/extras/*.py ; do
	tool=$(basename "$f" .py)
	if [ "$tool" != "__init__" ]; then
		extras="${extras:+$extras,}$tool"
	fi
done
./waf-light --make-waf --strip --tools="$extras"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_datadir}/waf/waflib/{Tools,extras}

cp -p waflib/*.py $RPM_BUILD_ROOT%{_datadir}/waf/waflib
cp -p waflib/Tools/*.py $RPM_BUILD_ROOT%{_datadir}/waf/waflib/Tools
cp -p waflib/extras/*.py $RPM_BUILD_ROOT%{_datadir}/waf/waflib/extras

install -D -p waf-light $RPM_BUILD_ROOT%{_bindir}/waf

%py_comp $RPM_BUILD_ROOT%{_datadir}/waf/waflib
%py_ocomp $RPM_BUILD_ROOT%{_datadir}/waf/waflib
%py_postclean %{_datadir}/waf/waflib

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc ChangeLog README TODO
%attr(755,root,root) %{_bindir}/waf
%{_datadir}/waf

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: waf.spec,v $
Revision 1.34  2011/12/27 06:53:48  qboosh
- updated to 1.6.10

Revision 1.33  2011/11/26 12:32:25  qboosh
- updated to 1.6.9

Revision 1.32  2011/10/13 16:25:05  qboosh
- updated to 1.6.8

Revision 1.31  2011/08/14 19:38:33  qboosh
- updated to 1.6.7

Revision 1.30  2011/06/17 15:46:40  qboosh
- updated to 1.6.6

Revision 1.29  2011/05/01 10:34:45  qboosh
- macros version

Revision 1.28  2011/05/01 07:26:39  qboosh
- updated to 1.6.4
- updated path patch
- install target dropped upstream, so do it ourselves

Revision 1.27  2010/10/02 21:53:29  dirdival
- updated to 1.5.19

Revision 1.26  2010/07/08 22:41:30  dirdival
- updated to 1.5.18

Revision 1.25  2010/04/19 20:21:58  dirdival
- updated to 1.5.16

Revision 1.24  2010/04/03 08:20:50  dirdival
- updated to 1.5.15

Revision 1.23  2010/03/02 22:40:36  duddits
- up to 1.5.13
- path.patch updated

Revision 1.22  2010/01/18 22:32:10  sparky
- BR: python-modules, rpm-pythonprov

Revision 1.21  2010/01/18 17:08:13  dirdival
- up to 1.5.10
- let compiler_cxx and compiler_cc raise an exception when no compiler is found
- fix the jarname attribute usage in java task generators
- let the WAFCACHE use folders to avoid errors during concurrent access

Revision 1.20  2009/11/26 14:32:45  dirdival
- updated to 1.5.10

Revision 1.19  2009/11/07 13:37:44  dirdival
- up to 1.5.9

Revision 1.18  2009/05/31 12:59:17  amateja
- updated to 1.5.6

Revision 1.17  2009/03/13 19:53:41  hawk
- release 2

Revision 1.16  2009/02/11 11:36:39  duddits
- up to 1.5.3
- path.patch updated

Revision 1.15  2008/10/04 16:14:12  glen
- run py_postclean, restore path.patch

Revision 1.14  2008/10/04 16:01:04  glen
- unify

Revision 1.13  2008/10/04 15:43:46  megabajt
- updated to 1.4.4

Revision 1.12  2008/06/16 11:37:00  patrys
- this is useless
- let's wait for 1.4.3

Revision 1.11  2008/06/16 11:30:52  patrys
- another try
- rel 3

Revision 1.10  2008/06/16 11:25:00  patrys
- try with TERM=dumb until 1.4.3 is released

Revision 1.9  2008/06/16 10:27:32  patrys
- 1.4.2

Revision 1.8  2008-03-11 22:22:36  patrys
- remove unused escape

Revision 1.7  2008-03-11 22:20:11  patrys
- 1.3.2
- new URI

Revision 1.6  2007/02/13 08:06:44  glen
- tabs in preamble

Revision 1.5  2007/02/12 01:06:45  baggins
- converted to UTF-8

Revision 1.4  2006/12/05 23:18:50  glen
- rel 1

Revision 1.3  2006/12/05 22:38:09  qboosh
- pl

Revision 1.2  2006/12/05 17:20:34  glen
- add path.patch so installed waf uses system waf

Revision 1.1  2006/12/05 16:50:45  glen
- new
